<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head lang="en">
    <meta charset="UTF-8"/>
    <title>Human Face Recognition</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <meta name="author" content="Oleksandr KOL Kucher"/>

    <link rel="stylesheet" th:href="@{/css/hfr.css}"/>
    <link rel="stylesheet" th:href="@{/css/style.css}"/>
    <link rel="stylesheet" th:href="@{/css/dropImage.css}"/>
    <link rel="stylesheet" th:href="@{/bootstrap/css/bootstrap.css}"/>
    <link rel="stylesheet" th:href="@{/css/cropper/imgareaselect-default.css}"/>

    <script src="/js/jquery-2.1.1.js" type="text/javascript"></script>
    <script src="/bootstrap/js/bootstrap.js" type="text/javascript"></script>
    <script src="/js/jquery.imgareaselect.js" type="text/javascript"></script>
    <script src="/js/cropImage.js" type="text/javascript"></script>
    <script src="/js/dropImage.js" type="text/javascript"></script>
    <script src="/js/settingsJson.js" type="text/javascript"></script>
    <script src="/js/settingsBuilder.js" type="text/javascript"></script>
    <script src="/js/hfr.js" type="text/javascript"></script>
</head>
<body onload="hfr.init(92, 112, 'hfr')">
    <div th:fragment="header"></div>
    <div class="container-fluid">
        <div class="row">
            <div class="col-xs-12 col-sm-3">
                <div class="well sidebar-nav">
                    <ul class="nav nav-pills nav-stacked recognition-algorithms"></ul>
                    <ul class="nav nav-pills nav-stacked recognition-settings"></ul>
                </div>
            </div>
            <div class="col-xs-12 col-sm-9">
                <div class="hero-unit">
                    <h3 class="text-center">Human Face Recognition</h3>
                </div>
                <div class="row-fluid">
                    <div class="row-fluid">
                        <div class="row-fluid">
                            <div id="dragAndDrop" class="thumbnail centered">
                                <div class="dragAndDropContainer"></div>
                            </div>
                        </div>
                        <div class="row-fluid" style="float: left; width: 100%;">
                            <div id="crop" class="col-sm-6 thumbnail centered half-left" style="min-height: 196px;">
                                <div class="cropContainer"></div>
                            </div>
                            <div id="view" class="col-sm-6 centered half-right">
                                <div class="thumbnail col-sm-12" style="min-height: 196px;">
                                    <div class="centered">
                                        <img src="/images/face.bmp" id="cropped" class="stored-image" style="display: none;"/>
                                    </div>
                                    <div id="classify-block" style="display: none;">
                                        <div style="margin-top: 5px;" class="info-text">If image is fine, click 'Classify' button</div>
                                        <div class="centered">
                                            <input type="button" value="Classify" class="btn btn-success classify-button" id="classify-button"/>
                                            <input type="button" value="Show Eigen/Training" class="btn btn-success classify-button" id="eigen-button"/>
                                        </div>
                                    </div>
                                </div>
                                <div class="thumbnail col-sm-12" id="results" style="margin: 0 0 20px 0; display: none; min-height: 133px;">
                                    <button type="button" class="close">x</button>
                                    <div class="info-text">Images from class, which where selected as native for your face</div>
                                    <div class="centered each"></div>
                                </div>
                                <div class="thumbnail col-sm-12" id="hashImages" style="margin: 0 0 20px 0; display: none; min-height: 133px;">
                                    <button type="button" class="close">x</button>
                                    <div class="info-text">Hash Image</div>
                                    <div class="centered each"></div>
                                </div>
                                <div class="thumbnail col-sm-12" id="eigenvectors" style="margin: 0 0 20px 0; display: none; min-height: 133px;">
                                    <button type="button" class="close">x</button>
                                    <div class="info-text">Eigen Vectors (Eigen Faces for PCA, LDA, LPP, ICA or training images for PHash)</div>
                                    <div class="centered each"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row-fluid" style="margin-top: 5px;">
                        <div id="dragAndDropDup" class="thumbnail centered">
                            <div class="dragAndDropContainer"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <hr/>
        <div class="row-fluid">
            <div class="accordion">
                <div class="thumbnail no-padding">
                    <a class="accordion-toggle centered" data-toggle="collapse" href="#collapse">
                        Stored Images for Testing
                    </a>
                    <div id="collapse" class="collapse">
                        <div id="faces" class="navbar navbar-default">
                            <div class="navbar-inner">
                                <ul class="nav centered" id="stored-classes"></ul>
                            </div>
                        </div>
                        <div data-spy="scroll" data-target="#faces" data-offset="0" class="scrollspy-example" id="stored-images" style="overflow-y: scroll; max-height: 500px;"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div th:fragment="footer"></div>
</body>
</html>